summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorXU Benda <heroxbd@gmail.com>2013-08-18 22:33:21 +0900
committerXU Benda <heroxbd@gmail.com>2013-08-18 22:33:21 +0900
commit5935b35ecbd332f60ca7c9808ea117bc3e8d4c80 (patch)
tree10a764687077f3d97efd9b9db93c5f06804beb24 /sys-libs/glibc/files/2.17
parentglibc do not make ED EROOT variable (diff)
downloadandroid-5935b35ecbd332f60ca7c9808ea117bc3e8d4c80.tar.gz
android-5935b35ecbd332f60ca7c9808ea117bc3e8d4c80.tar.bz2
android-5935b35ecbd332f60ca7c9808ea117bc3e8d4c80.zip
track binutils-config, update gcc/binutils.
Diffstat (limited to 'sys-libs/glibc/files/2.17')
-rw-r--r--sys-libs/glibc/files/2.17/locale-gen_prefix.patch35
1 files changed, 25 insertions, 10 deletions
diff --git a/sys-libs/glibc/files/2.17/locale-gen_prefix.patch b/sys-libs/glibc/files/2.17/locale-gen_prefix.patch
index 6c17480..f378605 100644
--- a/sys-libs/glibc/files/2.17/locale-gen_prefix.patch
+++ b/sys-libs/glibc/files/2.17/locale-gen_prefix.patch
@@ -3,24 +3,30 @@ Index: work/extra/locale/locale-gen
===================================================================
--- work.orig/extra/locale/locale-gen
+++ work/extra/locale/locale-gen
-@@ -8,7 +8,7 @@ unset POSIXLY_CORRECT IFS
+@@ -8,7 +8,13 @@ unset POSIXLY_CORRECT IFS
umask 0022
argv0=${0##*/}
-source /etc/init.d/functions.sh || {
-+source "@GENTOO_PORTAGE_EPREFIX@"/etc/init.d/functions.sh || {
++
++EPREFIX="@GENTOO_PORTAGE_EPREFIX@"
++if [[ ${EPREFIX} == "@"GENTOO_PORTAGE_EPREFIX"@" ]] ; then
++ EPREFIX=""
++fi
++
++source "${EPREFIX}"/etc/init.d/functions.sh || {
echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
exit 1
}
-@@ -97,13 +97,14 @@ if [[ -n ${DESTDIR} ]] && [[ ${ROOT} !=
+@@ -97,13 +103,14 @@ if [[ -n ${DESTDIR} ]] && [[ ${ROOT} !=
eerror "DESTDIR and ROOT are mutually exclusive options"
exit 1
fi
-if [[ ${ROOT} != "/" ]] ; then
- einfo "Using locale.gen from ROOT ${ROOT}etc/"
-+: ${EROOT:="${ROOT%/}@GENTOO_PORTAGE_EPREFIX@/"}
++: ${EROOT:="${ROOT%/}${EPREFIX}/"}
+if [[ ${EROOT} != "/" ]] ; then
-+ einfo "Using locale.gen from EROOT ${EROOT}etc/"
++ einfo "Using locale.gen from ROOT ${EROOT}etc/"
fi
if [[ -n ${DESTDIR} ]] ; then
einfo "Building locales in DESTDIR '${DESTDIR}'"
@@ -30,7 +36,7 @@ Index: work/extra/locale/locale-gen
fi
# XXX: should fix this ...
-@@ -112,7 +113,7 @@ if [[ ${ROOT} != "/" ]] ; then
+@@ -112,7 +119,7 @@ if [[ ${ROOT} != "/" ]] ; then
exit 0
fi
@@ -39,7 +45,7 @@ Index: work/extra/locale/locale-gen
LOCALES=${DESTDIR}usr/share/i18n/locales
CHARMAPS=${DESTDIR}usr/share/i18n/charmaps
SUPPORTED=${DESTDIR}usr/share/i18n/SUPPORTED
-@@ -150,7 +151,10 @@ fi
+@@ -150,7 +157,10 @@ fi
# Extract the location of the locale dir on the fly as `localedef --help` has:
# locale path : /usr/lib64/locale:/usr/share/i18n
@@ -47,16 +53,25 @@ Index: work/extra/locale/locale-gen
+# For long paths, the line may get wrapped into two, in which case space (' ') is replaced
+# by newline (\n).
+LOCALEDIR=$(LC_ALL="C" "${DESTDIR}"usr/bin/localedef --help | sed -n -r '/locale path/{N;s|.*:[ \n](.*):/.*|\1|;p}')
-+LOCALEDIR="${DESTDIR}${LOCALEDIR#@GENTOO_PORTAGE_EPREFIX@}"
++LOCALEDIR="${DESTDIR}${LOCALEDIR#${EPREFIX}}"
if [[ $? -ne 0 ]] || [[ -z ${LOCALEDIR} ]] || [[ ${LOCALEDIR} != ${DESTDIR}/usr/lib*/locale ]] ; then
eerror "Unable to parse the output of your localedef utility." 1>&2
eerror "File a bug about this issue and include the output of 'localedef --help'." 1>&2
-@@ -280,7 +284,7 @@ generate_locale() {
+@@ -160,7 +170,7 @@ fi
+
+
+ if [[ ${QUIET} -eq 0 ]] && [[ -z ${JUST_LIST} ]] && \
+- [[ -e ${ROOT}etc/locales.build ]]
++ [[ -e ${EROOT}etc/locales.build ]]
+ then
+ ewarn "You should upgrade your /etc/locales.build to /etc/locale.gen"
+ ewarn "and then remove /etc/locales.build when you're done.\n"
+@@ -280,7 +290,7 @@ generate_locale() {
-i "${input}" \
-f "${charmap}" \
-A "${ALIAS}" \
- --prefix "${DESTDIR}" \
-+ --prefix "${DESTDIR%@GENTOO_PORTAGE_EPREFIX@/}/" \
++ --prefix "${DESTDIR%${EPREFIX}/}/" \
"${locale}" 2>&1
ret=$?
[[ -n ${output} ]] && eend ${ret}